# 回复管理供应商·实现

```mizip-post
---
创建日期: 2015-08-01
---
本文谈谈我对于网站评论系统的一些看法，顺带介绍一个实现。
```

```{post} 2015-08-01
:category: 想法、体验
:exclude:

本文谈谈我对于网站评论系统的一些看法，顺带介绍一个实现。
```

回复/评论系统应该是非常常见，如果一个网站不能通过这种简单的方式与访客交流，简直就是一坨Shit！（说你呢！MIZip/Blog）

## Why No

如果将回复设置为需要账号注册的方式，
在[关于OAuth的那篇文章](./oauth-for-hashare.md)中提到，
懒得注册、不愿意信息被获取、隐私安全等等，我都选择放弃。

通常网站模板会有基于邮件的回复系统，这样就不要注册了，但是评论完，后续呢？
我可不是只想表达我对博主的仰慕之情啊！
（我不太清楚如果有人回复我的评论，是不是会邮件通知我，因为我没有收到过。哎，我好像没留过真的邮箱地址……）

功能方面，评论间有引用，一层甚至几十层；还有翻页；还有顶/踩；
有时希望评论格式可以丰富，不仅是文字，有表情有图片，或者更甚的。
如果是专业的社区网站，做好这些不为过，可是我一个人博客，考虑这些真的好吗？

另一方面，如何防止恶意性质的大量表单提交，用户账号管理，在网站变更时还要数据迁移。

等等这般，如果能够将回复外包多好。
（我会说最实际的情况是，如果一个网站根本就没人留言，设置一个回复系统在那，你不懂我伤悲……）

## Why Not

如果有一个“回复管理供应商”（扣题啊、扣题啊），具有相当的实力，让用户放心注册。
对于需要回复系统的站长，将供应商提供代码加入自己网页中。
用户可以用相同的账号在不同网站评论，而采用这种评论系统的网站一上线就有许多潜在的用户，站长也不需要管理评论系统实现的细节。

另外，从用户角度出发，除了有人回复我的时候能够收到通知，当我关注某篇文章，可以选择有后续评论时通知我。
甚至，如果我对某个评论者感兴趣，可以查看他曾经评论的文章，是否我同样也有兴趣。
当我不知道干什么时，看看其他用户都在看神马文章。

有没觉得很像什么，微博？
我觉得不是，微博的中心是用户，越来越少关注文章内容，微博与文章的融合并不好（拿不出证据，老子弄死你……），并没有为文章服务。

回复管理供应商只是一个工具，而不要反客为主了。（其实我不太清楚，没用过微博。是的！你没有看错，我没有微博，活该土鳖，活该没人来！）

<br/>

[Disqus](http://disqus.com)就是这样的一个系统，国内有畅言、多说等等。
我只是刚注册了个Disqus的账号，还不知道实际效果是怎样的，我猜是的，不过感觉有往社交网站发展（在Disqus自有频道评论回复），这不是我喜欢的。

2014年06月18，我记录了[这个想法](./replies-management-supplier.md)，之后偶然发现有Disqus，我很高兴有人很早就这么想，也去做了。
即使有人做了，这仍然是我曾想到的事，所以含有标签“Illusion”。
至于是不是和微博类似，也是在写文章的时候才有那么一点感觉。

```html
<div id="disqus_thread"></div>
<script type="text/javascript">
    /* * * CONFIGURATION VARIABLES * * */
    var disqus_shortname = 'mizip';
    
    /* * * DON'T EDIT BELOW THIS LINE * * */
    (function() {
        var dsq = document.createElement('script'); dsq.type = 'text/javascript'; dsq.async = true;
        dsq.src = '//' + disqus_shortname + '.disqus.com/embed.js';
        (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(dsq);
    })();
</script>
<noscript>Please enable JavaScript to view the <a href="https://disqus.com/?ref_noscript" rel="nofollow">comments powered by Disqus.</a></noscript>
```